Summary:        Perl extension for generating and using LALR parsers
Name:           perl-Parse-Yapp
Version:        1.21
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Parse-Yapp
Source0:        https://cpan.metacpan.org/authors/id/W/WB/WBRASWELL/Parse-Yapp-%{version}.tar.gz
BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Carp) perl(strict) perl(vars)

BuildArch:      noarch

%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules that let you
generate and use yacc like thread safe (reentrant) parsers with perl object oriented
interface.  The script yapp is a front-end to the Parse::Yapp module and let you
easily create a Perl OO parser from an input grammar file.

%prep
%autosetup -n Parse-Yapp-%{version}
chmod 644 README lib/Parse/{*.pm,Yapp/*.pm}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
chmod -R u+w %{buildroot}/*

%check
%make_build test

%files
%doc Changes README
%{_bindir}/yapp
%{perl_vendorlib}/Parse/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.21-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Shuo Wang <abushwang@tencent.com> - 1.21-1
- initial build
